org.modeshape.sequencer.ddl

## Interface DdlConstants.DataTypes

- Enclosing interface:
    DdlConstants

      public static interface DdlConstants.DataTypes

  Constants related to Data Types

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static List<String>` | `DATATYPE_START_WORDS`
    `static String[]` | `DTYPE_BIT`
    `static String[]` | `DTYPE_BIT_VARYING`
    `static String[]` | `DTYPE_CHAR`
    `static String[]` | `DTYPE_CHAR_VARYING`
    `static String[]` | `DTYPE_CHARACTER`
    `static String[]` | `DTYPE_CHARACTER_VARYING`
    `static int` | `DTYPE_CODE_ANY`
    `static int` | `DTYPE_CODE_APROX_NUMERIC`
    `static int` | `DTYPE_CODE_BIT_STRING`
    `static int` | `DTYPE_CODE_CHAR_STRING`
    `static int` | `DTYPE_CODE_CUSTOM`
    `static int` | `DTYPE_CODE_DATE_TIME`
    `static int` | `DTYPE_CODE_EXACT_NUMERIC`
    `static int` | `DTYPE_CODE_MISC`
    `static int` | `DTYPE_CODE_NCHAR_STRING`
    `static String[]` | `DTYPE_DATE`
    `static String[]` | `DTYPE_DEC`
    `static String[]` | `DTYPE_DECIMAL`
    `static String[]` | `DTYPE_DOUBLE_PRECISION`
    `static String[]` | `DTYPE_FLOAT`
    `static String[]` | `DTYPE_INT`
    `static String[]` | `DTYPE_INTEGER`
    `static String[]` | `DTYPE_INTERVAL`
    `static String[]` | `DTYPE_NATIONAL_CHAR`
    `static String[]` | `DTYPE_NATIONAL_CHAR_VARYING`
    `static String[]` | `DTYPE_NATIONAL_CHARACTER`
    `static String[]` | `DTYPE_NATIONAL_CHARACTER_VARYING`
    `static String[]` | `DTYPE_NCHAR`
    `static String[]` | `DTYPE_NCHAR_VARYING`
    `static String[]` | `DTYPE_NUMERIC`
    `static String[]` | `DTYPE_REAL`
    `static String[]` | `DTYPE_SMALLINT`
    `static String[]` | `DTYPE_TIME`
    `static String[]` | `DTYPE_TIMESTAMP`
    `static String[]` | `DTYPE_VARCHAR`

- - ### Field Detail

    - #### DTYPE_CODE_ANY

          static final int DTYPE_CODE_ANY

      See Also:
        Constant Field Values

    - #### DTYPE_CODE_CHAR_STRING

          static final int DTYPE_CODE_CHAR_STRING

      See Also:
        Constant Field Values

    - #### DTYPE_CODE_NCHAR_STRING

          static final int DTYPE_CODE_NCHAR_STRING

      See Also:
        Constant Field Values

    - #### DTYPE_CODE_BIT_STRING

          static final int DTYPE_CODE_BIT_STRING

      See Also:
        Constant Field Values

    - #### DTYPE_CODE_EXACT_NUMERIC

          static final int DTYPE_CODE_EXACT_NUMERIC

      See Also:
        Constant Field Values

    - #### DTYPE_CODE_APROX_NUMERIC

          static final int DTYPE_CODE_APROX_NUMERIC

      See Also:
        Constant Field Values

    - #### DTYPE_CODE_DATE_TIME

          static final int DTYPE_CODE_DATE_TIME

      See Also:
        Constant Field Values

    - #### DTYPE_CODE_MISC

          static final int DTYPE_CODE_MISC

      See Also:
        Constant Field Values

    - #### DTYPE_CODE_CUSTOM

          static final int DTYPE_CODE_CUSTOM

      See Also:
        Constant Field Values

    - #### DTYPE_CHARACTER

          static final String[] DTYPE_CHARACTER

    - #### DTYPE_CHAR

          static final String[] DTYPE_CHAR

    - #### DTYPE_CHARACTER_VARYING

          static final String[] DTYPE_CHARACTER_VARYING

    - #### DTYPE_CHAR_VARYING

          static final String[] DTYPE_CHAR_VARYING

    - #### DTYPE_VARCHAR

          static final String[] DTYPE_VARCHAR

    - #### DTYPE_NATIONAL_CHARACTER

          static final String[] DTYPE_NATIONAL_CHARACTER

    - #### DTYPE_NATIONAL_CHAR

          static final String[] DTYPE_NATIONAL_CHAR

    - #### DTYPE_NATIONAL_CHARACTER_VARYING

          static final String[] DTYPE_NATIONAL_CHARACTER_VARYING

    - #### DTYPE_NATIONAL_CHAR_VARYING

          static final String[] DTYPE_NATIONAL_CHAR_VARYING

    - #### DTYPE_NCHAR_VARYING

          static final String[] DTYPE_NCHAR_VARYING

    - #### DTYPE_NCHAR

          static final String[] DTYPE_NCHAR

    - #### DTYPE_BIT

          static final String[] DTYPE_BIT

    - #### DTYPE_BIT_VARYING

          static final String[] DTYPE_BIT_VARYING

    - #### DTYPE_NUMERIC

          static final String[] DTYPE_NUMERIC

    - #### DTYPE_DEC

          static final String[] DTYPE_DEC

    - #### DTYPE_DECIMAL

          static final String[] DTYPE_DECIMAL

    - #### DTYPE_INTEGER

          static final String[] DTYPE_INTEGER

    - #### DTYPE_INT

          static final String[] DTYPE_INT

    - #### DTYPE_SMALLINT

          static final String[] DTYPE_SMALLINT

    - #### DTYPE_FLOAT

          static final String[] DTYPE_FLOAT

    - #### DTYPE_REAL

          static final String[] DTYPE_REAL

    - #### DTYPE_DOUBLE_PRECISION

          static final String[] DTYPE_DOUBLE_PRECISION

    - #### DTYPE_DATE

          static final String[] DTYPE_DATE

    - #### DTYPE_TIME

          static final String[] DTYPE_TIME

    - #### DTYPE_TIMESTAMP

          static final String[] DTYPE_TIMESTAMP

    - #### DTYPE_INTERVAL

          static final String[] DTYPE_INTERVAL

    - #### DATATYPE_START_WORDS

          static final List<String> DATATYPE_START_WORDS

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.